{"openapi":"3.0.4","info":{"title":"Runs the Allocation Service","description":"Allocates Executions for a given list of placements back to their originating orders using one of the LUSID algorithms, creating Allocations to record the results.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/ordermanagement/allocate":{"post":{"tags":["Order Management"],"summary":"Runs the Allocation Service","description":"Allocates Executions for a given list of placements back to their originating orders using one of the LUSID algorithms, creating Allocations to record the results.","operationId":"RunAllocationService","parameters":[{"name":"allocationAlgorithm","in":"query","description":"A string representation of the allocation algorithm you would like to use to allocate shares from executions e.g. \"PR-FIFO\".\r\nThis defaults to \"PR-FIFO\".","schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}}],"requestBody":{"description":"The List of Placement IDs for which you wish to allocate Executions.","content":{"application/json-patch+json":{"schema":{"maxItems":100,"type":"array","items":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceId"}},"example":[{"scope":"MyScope","code":"PLAC00000123"}]},"application/json":{"schema":{"maxItems":100,"type":"array","items":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceId"}},"example":[{"scope":"MyScope","code":"PLAC00000123"}]},"text/json":{"schema":{"maxItems":100,"type":"array","items":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceId"}},"example":[{"scope":"MyScope","code":"PLAC00000123"}]},"application/*+json":{"schema":{"maxItems":100,"type":"array","items":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceId"}},"example":[{"scope":"MyScope","code":"PLAC00000123"}]}},"required":true},"responses":{"200":{"description":"A list of Allocations","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/AllocationServiceRunResponse"},"example":{"values":[{"scope":"MyScope","code":"PLAC00000123"},{"scope":"MyScope","code":"PLAC00000789"}],"failed":{"Scope:MyScope Code:PLAC00000456":{"id":"Scope:MyScope Code:PLAC00000456","type":"EmptyPortfolioIdFailure","detail":"Empty PortfolioId on Order"}}}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/AllocationServiceRunResponse"},"example":{"values":[{"scope":"MyScope","code":"PLAC00000123"},{"scope":"MyScope","code":"PLAC00000789"}],"failed":{"Scope:MyScope Code:PLAC00000456":{"id":"Scope:MyScope Code:PLAC00000456","type":"EmptyPortfolioIdFailure","detail":"Empty PortfolioId on Order"}}}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/AllocationServiceRunResponse"},"example":{"values":[{"scope":"MyScope","code":"PLAC00000123"},{"scope":"MyScope","code":"PLAC00000789"}],"failed":{"Scope:MyScope Code:PLAC00000456":{"id":"Scope:MyScope Code:PLAC00000456","type":"EmptyPortfolioIdFailure","detail":"Empty PortfolioId on Order"}}}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}